curl --request GET \
--url https://snapchain-api.neynar.com/v1/fids \
--header 'x-api-key: <api-key>'import requests
url = "https://snapchain-api.neynar.com/v1/fids"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://snapchain-api.neynar.com/v1/fids', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"fids": [
1
],
"nextPageToken": "AuzO1V0DtaItCwwa10X6YsfStlynsGWT"
}{
"errCode": "<string>",
"presentable": true,
"name": "<string>",
"code": 123,
"details": "<string>",
"metadata": {
"errcode": [
"<string>"
]
}
}Fetch a list of all the FIDs
Fetch a list of all the FIDs.
Authorizations
API key to authorize requests
Query Parameters
The shard ID to filter by
Maximum number of messages to return in a single response
Reverse the sort order, returning latest messages first
The page token returned by the previous query, to fetch the next page. If this parameter is empty, fetch the first page
Response
A successful response.
Farcaster ID (FID). A unique identifier assigned to each user in the Farcaster network. This number is permanent and cannot be changed. FIDs are assigned sequentially when users register on the network.
x >= 1Base64-encoded pagination token for fetching the next page of results. An empty value indicates there are no more pages to return. Used in conjunction with the pageSize parameter to implement pagination across large result sets.
^(?:[A-Za-z0-9+/]{4})*(?:[A-Za-z0-9+/]{2}==|[A-Za-z0-9+/]{3}=)?$"AuzO1V0DtaItCwwa10X6YsfStlynsGWT"
Related topics
Fetch a list of signers provided by an FIDFetch a list of on-chain events provided by an FIDBanned FIDs of appBlocked / Blocked by FIDsMuted FIDs of userWas this page helpful?